

extern char* program_name;

extern Widget shell, toplevel;
extern XtAppContext app_context;

extern Atom wm_delete_window;

extern Pixmap icon_pixmap, icon_mask;


struct XAnalyser {
  
  int sample_speed;
  int sample_length;
  
  float upper_db;
  float lower_db;
  
  float alpha;
  float decay;
  
  String source;
  String filename;
  String channels;
  
  Pixel datacolor;
  Pixel backgroundcolor;
  Pixel markercolor;
  Pixel majorgridcolor;
  Pixel minorgridcolor;
  
  XFontStruct *gridfont;
  
};

extern XAnalyser xanalyser;

